/*绑定个人*/
function chkBindUsrInf(tipId){
	if(!chkAddr("usrAdd",tipId)){
	      return false;
	    }
	  $j("#"+tipId).html("");
    return true;
}
/*绑定他人*/
function chkBindConn(tipId){
	  if(!chkName("connNm",tipId)){
		  return false;
	    }
	  if(!chkIdNo("connIdNo",tipId)){
		  return false;
	 	}
	    if(!chkMobNo("connMbl",tipId)){
	        return false;
	    }
	    if(!chkAddr("connAddr1",tipId)){
	    	return false;
	    }
	    if(!chkCardNo("cardNo1",tipId)){
	 	   return false;
	 	}
	    
	    $j("#"+tipId).html("");
	    return true;
}
/*绑定儿童*/
function chkbindChild(tipId){
	  if(!chkName("connNm2",tipId)){
		  return false;
	    }
	    if(!chkMobNo("connMbl2",tipId)){
	        return false;
	    }
	    if(!chkCardNo("cardNo2",tipId)){
	 	   return false;
	 	}
	    if(!chkAddr("connAddr2",tipId)){
	    	return false;
	    }
	    if(!chkBindGuar("cIsGuar",tipId)){
	    	return false;
	    }
	    $j("#"+tipId).html("");
	    return true;
}


/* 检查失败 */
function checkFail(id,tipId, html) {
	  $j("#"+id).addClass("err");
 	 // $j("#"+id).parent().parent().addClass("brd-c-red"); 
 	 $j("#"+tipId).html(html);
	return false;
}

/*验证诊疗卡*/
function chkCardNo(id,tipId){
  var value = $j.trim($j('#'+id).val()).replace(/\s/g, '');
  var _cdreg =/[a-zA-Z_0-9]{1,8}/;
  if(value.length==0){
	  return checkFail(id,tipId, "请输入诊疗卡");
  }
  //if(!_cdreg.test(value)){
  //   return checkFail(id,tipId, "诊疗卡号输入有误");
  //}
  $j("#"+tipId).html("");
  $j("#"+id).removeClass("err");
  $j("#"+id).parent().parent().removeClass("brd-c-red");
  return true;
}

/*检查手机号*/
function chkMobNo(id,tipId){
  var value = $j.trim($j('#'+id).val()).replace(/\s/g, '');
  var _cdreg = /^1\d{10}$/;
  if(value.length==0){
	  return checkFail(id,tipId, "请输入手机号");
  }
  if(!_cdreg.test(value) ){
      return checkFail(id,tipId, "手机号输入有误");
  }
  $j("#"+tipId).html("");
  $j("#"+id).removeClass("err");
  $j("#"+id).parent().parent().removeClass("brd-c-red");
  return true;
}

/*检查名称*/
function chkName(id,tipId){
  var value = $j.trim($j('#'+id).val()).replace(/\s/g, '');
  var check = true;
  var obj = "";
  if(id == "connNm"){
    obj = "就诊人";
  }else if(id == "parNm"){
    obj = "监护人";
  }else if(id == "usrNm"){
    obj = "您的";
  }
  if(value==""){
	  return checkFail(id,tipId, "请输入"+obj+"姓名");
  }

  if(strlen(value) >24 || strlen(value) <4){
      return checkFail(id,tipId,obj+"姓名须是2－12个汉字录入或英文字母4－24个");
  }
  if(strangeCode(value) == false || value.indexOf(' ') != -1){
	  return checkFail(id,tipId,obj+"姓名不能含有特殊字符或者空格！");
  }
  
	$j("#"+tipId).html("");
	$j("#"+id).removeClass("err");
	$j("#"+id).parent().parent().removeClass("brd-c-red");
  return true;
}

/*检查id号*/
function chkIdNo(id,tipId){
    var value = $j.trim($j('#'+id).val()).replace(/\s/g, '');
    var len = value.length;
    value = value.toUpperCase();
    if(len==0){
    	 return checkFail(id,tipId, "请输入身份证号码");
    }
    if (len!=18&&len!=15){
        return checkFail(id,tipId, "请输入15或18位身份证号码");
    }
    if(len == 15){//15位的身份证，验证了生日是否有效
        var year =  value.substring(6,8);  
        var month = value.substring(8,10);  
        var day = value.substring(10,12);  
        var temp_date = new Date(year,parseFloat(month)-1,parseFloat(day));  
        if(temp_date.getYear()!=parseFloat(year) || temp_date.getMonth()!=parseFloat(month)-1 || temp_date.getDate()!=parseFloat(day)){
        	return checkFail(id,tipId, "请输入有效的身份证号码");
        }  
        $j("#"+tipId).html("");
        $j("#"+id).removeClass("err");
        $j("#"+id).parent().parent().removeClass("brd-c-red");
          return true;  
    }
    if(len == 18){//18位的身份证，验证最后一位校验位
      var endChar=value.charAt(len-1);//身份证的最后一为字符   
      value=value.substr(0,17);
      var table = new Array(7,9,10,5,8,4,2,1,6,3,7,9,10,5,8,4,2);
      var table2 =new Array('1','0','X','9','8','7','6','5','4','3','2');
      var cNum=toCharArray(value);
      var sum = 0;
      var rs=0;
      for(var i =0;i<cNum.length;i++){
          // 其中(cNum[i]-48)表示第i位置上的身份证号码数字值，table[i]表示第i位置上的加权因子，
          var num=cNum[i].charCodeAt(0); 
          var num1=parseInt(table[i]);  
          sum=sum*1+(num-48) * num1;                     
      }
      // 以11对计算结果取模
      var index =Number(sum%11);
      // 根据模的值得到对应的校验码,即身份证上的最后一位为校验码
      var verfiyCode=table2[index];
      if (endChar!=verfiyCode){
          return checkFail(id,tipId, "请输入有效的身份证号码");
      }
      $j("#"+tipId).html("");
	  $j("#"+id).removeClass("err");
	  $j("#"+id).parent().parent().removeClass("brd-c-red");
      return true;
  }
}

/*检查地址*/
function chkAddr(id,tipId){
  var value = $j.trim($j('#'+id).val()).replace(/\s/g, '');
  if(value==null||value.length==0){
 	 return checkFail(id,tipId, "地址不能为空");
  }
  if(strlen(value) > 200){
	  return checkFail(id,tipId, "家庭住址字数超限，请精简。");
  }
  $j("#"+tipId).html("");
  $j("#"+id).removeClass("err");
  $j("#"+id).parent().parent().removeClass("brd-c-red");
  return true;
}

/*检查是否绑定监护人*/
function chkBindGuar(id,tipId){
  var value = $j.trim($j('#'+id).val()).replace(/\s/g, '');
  if(value==null||value.length==0){
	  $j("#"+id).addClass("err");
 	  $j("#"+id).parent().parent().addClass("brd-c-red");
 	  $j('#'+tipId).html("请选择是否绑定监护人");  
    return false;
  }
  
  return true;
}

function chkZip(id,tipId){
	var value = $j.trim($j('#'+id).val()).replace(/\s/g, '');
	  var _cdreg = /^\d{6}$/;
	  if(value.length==0 || value == "请输入邮编"){
	    $j("#"+tipId).html("邮编不能为空");
	    return false;
	  }
	  if(!_cdreg.test(value)){
	    $j("#"+tipId).html("邮编输入有误");
	    return false;
	  }
	  $j("#"+tipId).html("");
	  return true;
}

/*将输入的字符串转化为字符数组*/
function toCharArray(str) {
  var charArr = new Array();
  for (var i = 0; i < str.length; i++){
    charArr[i] =str.charAt(i);
  }
  return charArr;
}
/*验证特殊字符*/
function strangeCode(code){   
  var strangCode = "~`!@#$%^&*()_+=-|\'/？,，。<>";
  var temp;
  for (var i = 0; i<code.length; i++ ){
    temp = code.substring(i,i+1);
    if (strangCode.indexOf(temp) !=-1){
      return false;
    }
  }
}


/*字符是否是汉字*/
function isChn(str) {  
  var lst = /[u00-uFF]/;  
  return !lst.test(str);  
}

/*计算字符的长度*/
function strlen(str) {
  var strlength = 0;  
  for (i = 0; i < str.length; i++) {  
    if (isChn(str.charAt(i)) == true){ 
      strlength = strlength + 2;  
    }else{  
      strlength = strlength + 1;
    }   
  } 
  return strlength;  
}

 function popSuccTipMsg(msg,redirectUrl, isClose){
		callBridge('toast', {
	            content: msg,
	            type: 'success',
	            duration: 1000
	        }, function(){
	        	if(redirectUrl!="" &&redirectUrl!=null ){
	        		window.location.href=redirectUrl;
	        	}else{
	        		if(isClose) {
	        			AlipayJSBridge.call('closeWebview');	        			
	        		}
	        	} 
	        });
	}

 function callBridge() {
     var args = arguments,
             fn = function () {
                 var bridge = window.AlipayJSBridge;
                 bridge.call.apply(bridge, args);
             };
     window.AlipayJSBridge ? fn() : document.addEventListener("AlipayJSBridgeReady", function () {
         fn();
     }, !1);
}
function popFailTipMsg(msg){
	callBridge('alert', {
		     /* title: '提示', */
		     message: msg,
		     button: '确定',
		}, function () {
		     console.log('alert dismissed');
		});
}

/*截取url后面的参数*/
function getReqParam(paras){
    var url = window.location.href;  
    var paraString = url.substring(url.indexOf("?")+1,url.length).split("&");  
    var paraObj = {}  
    for (i=0; j=paraString[i]; i++){  
    paraObj[j.substring(0,j.indexOf("=")).toLowerCase()] = j.substring(j.indexOf("=")+1,j.length);  
    }  
    var returnValue = paraObj[paras.toLowerCase()];  
    if(typeof(returnValue)=="undefined"){  
    return "";  
    }else{  
    return returnValue; 
    }
}


