/**
 * Global类，存放应用相关信息
 */
function Global(){
    /**服务器访问URL*/
	this.SERVER_URL = "http://data.e-ysb.cn/yisuibao";
	//this.SERVER_URL = "http://14.18.236.27:8888/yisuibao";
	//this.SERVER_URL = "http://localhost:8080/yisuibao";
	this.FILE_SERVER_URL="http://img.e-ysb.cn/fileagent";
	//this.FILE_SERVER_URL="http://14.18.236.27:18086/fileagent";
	//this.HOSP_SERVER_URL = "http://14.18.236.27:18088/hospservice";
    this.HOSP_SERVER_URL = "http://hosp.e-ysb.cn/hospservice";
    this.SYS_VERSION = "3.10.070-20161206";
    this.PUBLIC_VERSION ="common";
	this.CHAT_REFRESH_TIME=5000;//聊天轮询时间，单位：毫秒
	this.SERVER_APP_NAME="yisuibao";/** 部署web应用名，与服务器后台页面所在view下的目录名一致*/
    this.SESSION_TIME_OUT = 240;//后台session超时时间，单位分钟
    this.UNICOM_SERVICE_PHONE_NO = "020-29105124"; // 正式，联通接口电话
   //this.UNICOM_SERVICE_PHONE_NO = "020-29089440"; // 测试，联通接口电话
   
    this.ADV_DEFAULT_SHOW_TIME = 3; // 广告默认显示时间
    this.ADV_SHOW = true;          // 是否显示广告
    this.ALARM_UPDATE_GATEWAY = this.SERVER_URL + "/yisuibao/plan/warn/getFollowAlarm.do";// 获得闹铃列表url
    this.DELAY_TIME = 10 * 60; 		// 点击延迟闹铃后延迟十分钟
    this.POLLING_TIME = 120;			// 闹铃计划轮询时间
    this.CALORIE_JOULE_RATIO = 4.2;
	// 个推配置
     this.GE_TUI_APP_ID = "R7dYiDHvkN7oHshCFbwKO7";//你申请的AppID；安卓测试可以忽略，默认你自定义插件已经配置
     this.GE_TUI_APP_KEY = "7PmRtZvwjl9BPLSBbmFr36";//你申请的AppKey；安卓测试可以忽略，默认你自定义插件已经配置
     this.GE_TUI_APP_SECRET = "affh7VdqG96hQPchm0EKd4";//你申请的AppSecret；安卓测试可以忽略，默认你自定义插件已经配置
	
	/**  -----------------部署相关 end----------------- */
	
	this.CODELIST_NAME="codelist";/** 传入后台codelist名称的键*/
    this.CODELIST_KIND="codekind";/** 传入后台codelist的codekind的键*/
    this.CODEKIND_PARAMS="params";/** 传入后台codelist参数的键*/
    /**存储当前登录用户对象*/
    this.USER = null;
    /**新用户默认添加配置*/
    /**活动名*/
    this.ACT_NAMES=new Array("跑步");
    /**活动id*/
    this.ACT_IDS=new Array("1");
    /**活动时长*/
    this.ACT_TIME=new Array("1");
    /**提醒次数*/
    this.ACT_WARN_NUM=new Array("3");
    /**消耗热卡*/
    this.ACT_ENERGY=new Array("5");
    /**新用户默认添加配置结束*/
    /**病种*/
    this.DIC_DISEASE_TYPE = [{
        name: '类风湿关节炎',
        value: '0'
    }, {
        name: '强直性脊柱炎',
        value: '1'
    }, {
        name: '痛风性关节炎',
        value: '2'
    }, {
        name: '其它',
        value: '3'
    }];
		/**转诊状态*/
	this.DIC_REFERRAL_TYPE = [{
        name: '草稿',
        value: '1'
    }, {
        name: '已提交',
        value: '2'
    }, {
        name: '医生同意',
        value: '3'
    }, {
        name: '已预约',
        value: '4'
    },{
        name: '取消预约',
        value: '5'
    },{
        name: '已回转',
        value: '6'
    },{
        name: '医生拒绝',
        value: '7'
    }];
			/**挂号状态*/
	this.REG_STATUS_TYPE = [{
        name: '已提交',
        value: '1'
    }, {
        name: '已支付',
        value: '2'
    }, {
        name: '已取消',
        value: '3'
    }, {
        name: '退费处理中',
        value: '4'
    },{
        name: '已退费成功',
        value: '5'
    },{
        name: '挂号成功',
        value: '6'
    },{
        name: '预约成功',
        value: '7'
    }];
	/**婚育史*/
    this.DIC_MARRIED_HIS = [{
        name: '未育',
        value: '0'
    }, {
        name: '已育',
        value: '1'
    }];
	
	 this.DIC_SEX = [{
        name: '男',
        value: '0'
    }, {
        name: '女',
        value: '1'
    }];
	
	 this.DIC_IMG_UPLOAD = [{
        name: '从手机相册选择',
        value: '0'
    }, {
        name: '拍照',
        value: '1'
    }];
    
    /**病历*/
    this.DIC_DISEASE_RECORDS = [{
        name: '3个月',
        value: '0'
    }, {
        name: '3-6个月',
        value: '1'
    }, {
        name: '1年',
        value: '2'
    }, {
        name: '1-2年',
        value: '3'
    }, {
        name: '2-10年',
        value: '4'
    }, {
        name: '10年以上',
        value: '5'
    }];
	this.DIC_SF_DEAL= [{name: '未回复',value: '0'},{name: '已回复',value: '1'},{name: '未填完整',value: '2'}];
	this.DIC_SF_GRADE= [{name: '高危',value: '3'},{name: '中级异常',value: '2'},{name: '低级异常',value: '1'},{name: '正常',value: '0'}];
	this.DIC_INTERVAL= [{name: '最近一周',value: '0'},{name: '最近一个月',value: '1'},{name: '最近三个月',value: '2'}];
    this.DIC_ORG = [{name: '风湿科',value: '0'}];
	
	/**枚举，是否*/
    this.DIC_YES_NO = [{name: '否',value: '0'},{name: '是',value: '1'}];
    /**关节疼痛个数*/
    this.DIC_QUE2 = [{
        name: '无',
        value: '0'
    }, {
        name: '1个',
        value: '1'
    }, {
        name: '2到4个',
        value: '2'
    }, {
        name: '4到10个',
        value: '3'
    }, {
        name: '大于10个',
        value: '4'
    }];
	
	/**就诊人类型*/
    this.DIC_JZR_TYPE = [{name: '本人',value: '0'},{name: '老人',value: '1'},{name: '儿童',value: '2'}];
    
    /**周键值*/
    this.DIC_WEEK_TYPE = [{
        name: '周一',
        value: '1'
    }, {
        name: '周二',
        value: '2'
    }, {
        name: '周三',
        value: '3'
    }, {
        name: '周四',
        value: '4'
    }, {
        name: '周五',
        value: '5'
    }, {
        name: '周六',
        value: '6'
    }, {
        name: '周日',
        value: '7'
    }];
	
}

var global = new Global();
if (typeof(getUser) != 'undefined' && getUser != "undefined" && getUser != undefined) {
    global.USER = getUser();
}

