
 var isSendSmsFlag = false;
 var countDownIntObj;
 var countWaitFlag = 60;
 var sendSmsBtnId="smsCodeName";
 var phoneIptId="mobilePhone";
 
function sendPopSmsCode(phoneId,sendBtnId,mainWinName,templ,isCheckPhone,checkService,extParam,ccType,mark,title){
	phoneIptId=phoneId ||"mobilePhone";
	sendSmsBtnId=sendBtnId || "smsCodeName";
	 var mobilePhone = $$(phoneIptId).value;
	
 	 //表单校验 isDefine校验是否为空
    if (mobilePhone==="") {
        tip("手机号码不能为空");
        return;
    }
    if (!checkPhoneNum(mobilePhone)) {
        tip("不是有效的手机号码");
        return;
    }
	
	if(!isSendSmsFlag) {
		openPicCodePop(mainWinName,mobilePhone,templ,isCheckPhone,checkService,extParam,ccType,mark,title);
	}
	
}

/**
 * 打开浮动窗口选项
 * 注意：对应的主窗口mainWinName中必须引入hj_smscode.js
 * @param {String} mainWinName 主窗口名称
 * @param {String} phone 手机号码
 * @param {String} templ 短信模板名称
 * @param {String} isCheckPhone 是否检查手机号
 * @param {String} checkService 检查服务名
 * @param {String} extParam 额外参数
 * @param {String} ccType 图片验证码类型
 * @param {String} title 标题
 */
function openPicCodePop(mainWinName,phone,templ,isCheckPhone,checkService,extParam,ccType,mark,title){
    var param={phone:phone,mainWinName:mainWinName,templ:templ,isCheckPhone:isCheckPhone,checkService:checkService,extParam:extParam,ccType:ccType,mark:mark,title:title};
    setLocVal("POP_PIC_CODE_PARAM",JSON.stringify(param));
    uexWindow.evaluateScript(mainWinName, 0,  "openPopoverPicCodePop()");
}


/**
 * 打开浮动窗口选项
 * 注意：该方法只能在主窗口中打开，否则不兼容IOS
 */
function openPopoverPicCodePop(){
    var obj = JSON.parse(getLocVal("POP_PIC_CODE_PARAM"));
    var dep=obj.mainWinName.split('-').length-1;
    var dir="";
    if(dep>0){
        for(var i=0;i<dep;i++){
            dir+='../';
        }
    }
    var path = dir+"common/pic_code";
    var id="common-pic_code";
    uexWindow.openPopover(id, "0", path + ".html", "", 0, 0, getLocVal("phoneWidth"), getLocVal("phoneHeight"), "", "0");
     if (isAndroid()) {
            uexWindow.onKeyPressed = function(keyCode){
                if (keyCode == 0) {
                    closePicCodePop();
                    uexWindow.setReportKey(0, 0);
                }
            };
            uexWindow.setReportKey(0, 1);//拦截android的返回键
    }
}


/***
 * 关闭选项浮动窗口
 */
function closePicCodePop(){
	uexWindow.closePopover("common-pic_code");
}


function startWaitCount(){
	disableSmsCodeBtnFunc(true);
	isSendSmsFlag = true;
	countWaitFlag = 60;
	countDownIntObj =self.setInterval("countDownFunc()",1000);
}

function countDownFunc() {
	if(countWaitFlag) {
		removeClass($$(sendSmsBtnId), "c-blu8");
		addClass($$(sendSmsBtnId), "c-gra");
		$$(sendSmsBtnId).innerHTML = "等待(" + countWaitFlag + ")";
		countWaitFlag--;
	} else {
		isSendSmsFlag = false;
		disableSmsCodeBtnFunc(false);
		window.clearInterval(countDownIntObj);
	}
}
function disableSmsCodeBtnFunc(isDisable){
	if(!isDisable){
		removeClass($$(sendSmsBtnId), "c-gra");
		addClass($$(sendSmsBtnId), "c-blu8");
		$$(sendSmsBtnId).innerHTML = "发送验证码";
	}else{
		removeClass($$(sendSmsBtnId), "c-blu8");
		addClass($$(sendSmsBtnId), "c-gra");
		$$(sendSmsBtnId).innerHTML = "正在发送...";
	}
}
