/**
 * 进入随访
 */
function suifang(depId,disType){
	var url =global.SERVER_URL+"/yisuibao/user/userdpt/getIsSuifangDpt.do?actionType=act";
	var param =[{'key':'ajax','type':'0','value':'mobile'},
		{'key':'userId','type':'0','value':getUserId()},
		{'key':'dptId','type':'0','value':depId}];
    $.getJSON(url, function(data){
		dealResult(data,function(data,result){
			var res=result.custDataStr.split(',');
            if(res[1]=="Y"){
				setLocVal("hz_dep_content.cDepId",depId);
				if(disType){
					setLocVal("hz_suifang.cDisType",disType);
				}else{
					clearLocVal("hz_suifang.cDisType");
				}
				openWin('../suifang/hz_suifang');
			}else{
				if (res[0] == "Y") {
					tip("请先到个人资料中补充该科室对应的随访病史！");
				}
				else {
					tip("该科室不支持记录随访日志");
				}
			}
 		},function(data,result){
          	tip(result.resultMsg);
        });
    }, "json",getJSONError, "POST", param, false);
	
}


/**
 * 进入随访
 */
function suifangByHospId(){
	var hospId=getLocVal("hz_hospital_content.cHospId");
	var depList=getLocJson("hz_dep_content.depList");
	if (depList && depList[hospId]) {
		if(depList[hospId].length>1){
			openWin('../suifang/hz_dep','',0);
			return;
		}else if(depList[hospId].length==1){
			setLocVal("hz_dep_content.cDepId",depList[hospId][0].cDepId);
			openWin('../suifang/hz_suifang','',0);
			return;
		}
	}
    var url =global.SERVER_URL+"/yisuibao/user/userdpt/doGetUserDepOption.do?actionType=act";
	var param =[{'key':'ajax','type':'0','value':'mobile'},
		{'key':'filterTxt','type':'0','value':'cHospId'},
		{'key':'filterType','type':'0','value':'EQ'},
		{'key':'filterBind','type':'0','value':'cHospId'},
		{'key':'filterValue','type':'0','value':hospId}];

    $.getJSON(url, function(data){
		dealResult(data,function(data,result){
			if(!depList){
				depList={};
			}
			depList[hospId]=result.custDataObj;
			setLocJson("hz_dep_content.depList",depList);
            if((result.custDataObj.length)>1){
				openWin('../suifang/hz_dep','',0);
			}else if((result.custDataObj.length)==1){
				setLocVal("hz_dep_content.cDepId",depList[hospId][0].cDepId);
				openWin('../suifang/hz_suifang','',0);
			}else{
				tip("病史资料不全，不能进行随访记录，请完善病史资料！");
			}
 		},function(data,result){
          	tip(result.resultMsg);
        });
    }, "json",getJSONError, "POST", param, false);
	
}