
		var inOpCode =99999;
		var savedPath="";
		var savedOrigPath="wgt://apk/yisuibao.apk";
		var downloadPath="";
		var isDownload=false;
		var cText = 0;
		var cJson = 1;
		var cInt = 2;
		var divTipId="";
		
		
		//下载状态监听方法
		function cbFuncDownloadStatus(opCode, fileSize, percent, status){
			//tip("下载进度:status="+status+",percent="+percent+",fileSize="+fileSize);
			switch (status) {
				case 0://下载过程中
					isDownload=true;
					if(divTipId && $$(divTipId)){
						$$(divTipId).innerHTML="正在下载(已下载"+percent+"%,共"+(fileSize/(1024*1024)).toFixed(2)+"M)";
					}else{
						tip("正在下载..."+percent+"%");
					}
					break;
				case 1://下载完成
					isDownload=false;
					uexDownloaderMgr.closeDownloader(opCode);//下载完成要关闭下载对象
					if(divTipId && $$(divTipId)){
						$$(divTipId).innerHTML="现在升级";
					}
					tip("升级包下载完成,开始安装！");
					uexWidget.installApp(savedPath);
					break;
				case 2://下载失败
					isDownload=false;
					tip("升级更新时下载失败");
					uexDownloaderMgr.closeDownloader(opCode);//下载失败要关闭下载对象
					if(divTipId && $$(divTipId)){
						$$(divTipId).innerHTML="现在升级";
					}
					break;
			}
		}
		
		//创建下载对象的回调方法
		function cbFuncCreateDownloader(opCode, dataType, data){
			//tip("创建下载对象:dataType="+dataType+",data="+data);
			switch (dataType) {
				case cText:
					break;
				case cJson:
					break;
				case cInt:
					if (data == 0) {
						uexDownloaderMgr.onStatus =cbFuncDownloadStatus;
						uexDownloaderMgr.download(inOpCode, downloadPath,savedPath, '1');
						return;
					}
					else {
						tip("升级包下载失败");
					}
					break;
				default:
					tip("升级包下载失败");
			}
		}
		
		
		// 通过下载url获取下载对象的信息的回调方法
		function cbFuncGetInfo(opCode, dataType, data){
			tip("正在检测...");
			switch (dataType) {
				case cText:
					break;
				case cJson:
					if (data != null &&  data.length >0) {//存在数据
						var info = eval('(' + data + ')');
						if(info.savePath.substr(info.savePath.lastIndexOf("/"))==savedPath.substr(savedPath.lastIndexOf("/"))){
							tip("下载完成，开始安装...");
							uexWidget.installApp(info.savePath);
							return;
						}
					}
					break;
				case cInt:
					break;
				default:
			}
			tip("准备下载...");
			uexDownloaderMgr.onStatus =cbFuncDownloadStatus;
			uexDownloaderMgr.cbCreateDownloader = cbFuncCreateDownloader;
			uexDownloaderMgr.createDownloader(inOpCode);
		}
		
		function configDownloaderMgr(divStatusTipId){
			if(isIos()){
				return;
			}
			if(divStatusTipId){
				divTipId=divStatusTipId;
			}
			uexDownloaderMgr.onStatus =cbFuncDownloadStatus;
			uexDownloaderMgr.cbCreateDownloader = cbFuncCreateDownloader;
			uexWidgetOne.cbError = function(opCode, errorCode, errorInfo){
				alert(errorInfo);
			}
			uexDownloaderMgr.cbGetInfo = cbFuncGetInfo;
			
		}

	function checkSysVersion(updateSysCb,preCb){
			if(isIos()){
				return;
			}
            var url =global.SERVER_URL+"/"+global.SERVER_APP_NAME+"/user/userset/getVersion.do?publicVersion="+global.PUBLIC_VERSION;
			var param =[{'key':'ajax','type':'0','value':'mobile'},
			{'key':'sysVersion','type':'0','value':global.SYS_VERSION}];
			
            $.getJSON(url, function(data){
		 		dealResult(data,function(data,result){
                	var version=result.custDataObj;
					var path=result.custDataStr;
					var dir="/get/"+global.SERVER_APP_NAME+"-last.apk";
					path=path?(path):(dir);
					if(path.indexOf("http")<0){
						path=global.SERVER_URL+path;
					}
					if (preCb) {
						preCb(version, path);
					}
					if (!version || version<=global.SYS_VERSION) {
						return;
					}
					downloadPath=path;
					if (updateSysCb) {
						updateSysCb(version, path);
					}
		 		},function(data,result){
					tip(result.resultMsg);
                });
            }, "json",getJSONError, "POST", param, false);
        }
		
		
        function downloadSys(version,path){
			if(isIos()){
				return;
			}
			if(isDownload){return;}
			if(savedOrigPath && savedOrigPath.indexOf('.')>0 && version){
				savedPath=savedOrigPath.substring(0,savedOrigPath.lastIndexOf('.'))+'-'+version+savedOrigPath.substr(savedOrigPath.lastIndexOf('.'));
			}
			downloadPath=path;
			getInfo();
            
        }
		
		//通过操作ID关闭下载对象
        function closeDownload(){
            uexDownloaderMgr.closeDownloader(inOpCode);
        }
        //通过路径获取下载的文件信息
        function getInfo(){
			if (downloadPath) {
				uexDownloaderMgr.cbGetInfo = cbFuncGetInfo;
				uexDownloaderMgr.getInfo(downloadPath);
			}
        }
		
        // 通过路径清除未完成下载的任务
        /**
         * 通过路径清除未完成下载的任务
         * clearTask(String inDLUrl,String inClearMode)
         * @param {string} inDLUrl
         * @param {string} inClearMode 清除模式。0代表只清除此次下载任务，并不清除已经下载的目标临时文件。
         * 1代表清除此次下载任务，并且清除已经下载的目标临时文件。
         * 当目标文件已经成功下载到本地后，此操作不能不能清除此目标文件。默认为0。
         */
        function clearInfo(){
            uexDownloaderMgr.clearTask(downloadPath, "1");
        }