/**
 * Global类，存放应用相关信息
 */
function GlobalArea(){
	/**籍贯*/
	this.DIC_HOMETOWN=
[{provinceName:'广东省',provinceValue:'0',city:[{cityName:'广州市',cityValue:'0'},{cityName:'深圳市',cityValue:'1'},{cityName:'佛山市',cityValue:'2'},
{cityName:'珠海市',cityValue:'3'},{cityName:'东莞市',cityValue:'4'},{cityName:'中山市',cityValue:'5'},{cityName:'惠州市',cityValue:'6'},
{cityName:'汕头市',cityValue:'7'},{cityName:'江门市',cityValue:'8'},{cityName:'茂名市',cityValue:'9'},{cityName:'肇庆市',cityValue:'10'},
{cityName:'湛江市',cityValue:'11'},{cityName:'梅州市',cityValue:'12'},{cityName:'汕尾市',cityValue:'13'},{cityName:'河源市',cityValue:'14'},
{cityName:'清远市',cityValue:'15'},{cityName:'韶关市',cityValue:'16'},{cityName:'揭阳市',cityValue:'17'},{cityName:'阳江市',cityValue:'18'},
{cityName:'潮州市',cityValue:'19'},{cityName:'云浮市',cityValue:'20'}]},
{provinceName:'北京',provinceValue:'1',city:[{cityName:'北京市',cityValue:'0'}]},
{provinceName:'上海',provinceValue:'2',city:[{cityName:'上海市',cityValue:'0'}]},
{provinceName:'天津',provinceValue:'3',city:[{cityName:'天津市',cityValue:'0'}]},
{provinceName:'重庆',provinceValue:'4',city:[{cityName:'重庆市',cityValue:'0'}]},
{provinceName:'香港',provinceValue:'5',city:[{cityName:'香港',cityValue:'0'}]},
{provinceName:'澳门',provinceValue:'6',city:[{cityName:'澳门',cityValue:'0'}]},
{provinceName:'河北省',provinceValue:'7',city:[{cityName:'石家庄市',cityValue:'0'},{cityName:'唐山市',cityValue:'1'},{cityName:'秦皇岛市',cityValue:'2'},
{cityName:'邯郸市',cityValue:'3'},{cityName:'邢台市',cityValue:'4'},{cityName:'保定市',cityValue:'5'},{cityName:'张家口市',cityValue:'6'},
{cityName:'承德市',cityValue:'7'},{cityName:'沧州市',cityValue:'8'},{cityName:'廊坊市',cityValue:'9'},{cityName:'衡水市',cityValue:'10'}]},
{provinceName:'山西省',provinceValue:'8',city:[{cityName:'太原市',cityValue:'0'},{cityName:'大同市',cityValue:'1'},{cityName:'阳泉市',cityValue:'2'},
{cityName:'长治市',cityValue:'3'},{cityName:'晋城市',cityValue:'4'},{cityName:'朔州市',cityValue:'5'},{cityName:'忻州市',cityValue:'6'},{cityName:'晋中市',cityValue:'7'},{cityName:'运城市',cityValue:'8'},{cityName:'临汾市',cityValue:'9'},{cityName:'吕梁市',cityValue:'10'}]},
{provinceName:'内蒙古',provinceValue:'9',city:[{cityName:'呼和浩特市',cityValue:'0'},{cityName:'包头市',cityValue:'1'},{cityName:'乌海市',cityValue:'2'},
{cityName:'赤峰市',cityValue:'3'},{cityName:'通辽市',cityValue:'4'},{cityName:'鄂尔多斯市',cityValue:'5'},{cityName:'呼伦贝尔市',cityValue:'6'},{cityName:'巴彦淖尔市',cityValue:'7'},{cityName:'乌兰察布市',cityValue:'8'}]},
{provinceName:'辽宁省',provinceValue:'10',city:[{cityName:'沈阳市',cityValue:'0'},{cityName:'大连市',cityValue:'1'},{cityName:'鞍山市',cityValue:'2'},{cityName:'抚顺市',cityValue:'3'},{cityName:'本溪市',cityValue:'4'},{cityName:'丹东市',cityValue:'5'},{cityName:'锦州市',cityValue:'6'},{cityName:'营口市',cityValue:'7'},{cityName:'阜新市',cityValue:'8'},{cityName:'辽阳市',cityValue:'9'},{cityName:'盘锦市',cityValue:'10'},{cityName:'铁岭市',cityValue:'11'},{cityName:'朝阳市',cityValue:'12'},{cityName:'葫芦岛市',cityValue:'13'}]},
{provinceName:'吉林省',provinceValue:'11',city:[{cityName:'长春市',cityValue:'0'},{cityName:'吉林市',cityValue:'1'},{cityName:'四平市',cityValue:'2'},{cityName:'辽源市',cityValue:'3'},{cityName:'通化市',cityValue:'4'},{cityName:'白山市',cityValue:'5'},{cityName:'松原市',cityValue:'6'},{cityName:'白城市',cityValue:'7'}]},{provinceName:'黑龙江省',provinceValue:'12',city:[{cityName:'哈尔滨市',cityValue:'0'},{cityName:'齐齐哈尔市',cityValue:'1'},{cityName:'鸡西市',cityValue:'2'},
{cityName:'鹤岗市',cityValue:'3'},{cityName:'双鸭山市',cityValue:'4'},{cityName:'大庆市',cityValue:'5'},{cityName:'伊春市',cityValue:'6'},
{cityName:'佳木斯市',cityValue:'7'},{cityName:'七台河市',cityValue:'8'},{cityName:'牡丹江市',cityValue:'9'},{cityName:'黑河市',cityValue:'10'},{cityName:'绥化市',cityValue:'11'}]},
{provinceName:'江苏省',provinceValue:'13',city:[{cityName:'南京市',cityValue:'0'},{cityName:'无锡市',cityValue:'1'},{cityName:'徐州市',cityValue:'2'},
{cityName:'常州市',cityValue:'3'},{cityName:'苏州市',cityValue:'4'},{cityName:'南通市',cityValue:'5'},{cityName:'连云港市',cityValue:'6'},
{cityName:'淮安市',cityValue:'7'},{cityName:'盐城市',cityValue:'8'},{cityName:'扬州市',cityValue:'9'},{cityName:'镇江市',cityValue:'10'},
{cityName:'泰州市',cityValue:'11'},{cityName:'宿迁市',cityValue:'12'}]},
{provinceName:'浙江省',provinceValue:'14',city:[{cityName:'杭州市',cityValue:'0'},{cityName:'宁波市',cityValue:'1'},{cityName:'温州市',cityValue:'2'},
{cityName:'嘉兴市',cityValue:'3'},{cityName:'湖州市',cityValue:'4'},{cityName:'绍兴市',cityValue:'5'},{cityName:'金华市',cityValue:'6'},
{cityName:'衢州市',cityValue:'7'},{cityName:'舟山市',cityValue:'8'},{cityName:'台州市',cityValue:'9'},{cityName:'丽水市',cityValue:'10'} ]},
 {provinceName:'安徽省',provinceValue:'15',city:[{cityName:'合肥市',cityValue:'0'},{cityName:'芜湖市',cityValue:'1'},{cityName:'蚌埠市',cityValue:'2'},
{cityName:'淮南市',cityValue:'3'},{cityName:'马鞍山市',cityValue:'4'},{cityName:'淮北市',cityValue:'5'},{cityName:'铜陵市',cityValue:'6'},
{cityName:'安庆市',cityValue:'7'},{cityName:'黄山市',cityValue:'8'},{cityName:'滁州市',cityValue:'9'},{cityName:'阜阳市',cityValue:'10'},
{cityName:'宿州市',cityValue:'11'},{cityName:'巢湖市',cityValue:'12'},{cityName:'亳州市',cityValue:'13'},{cityName:'宣城市',cityValue:'14'},{cityName:'池州市',cityValue:'15'},{cityName:'铜陵市',cityValue:'16'}]},
{provinceName:'福建省',provinceValue:'16',city:[{cityName:'福州市',cityValue:'0'},{cityName:'厦门市',cityValue:'1'},{cityName:'莆田市',cityValue:'2'},
{cityName:'三明市',cityValue:'3'},{cityName:'泉州市',cityValue:'4'},{cityName:'漳州市',cityValue:'5'},{cityName:'南平市',cityValue:'6'},
{cityName:'龙岩市',cityValue:'7'},{cityName:'宁德市',cityValue:'8'}]},       
{provinceName:'江西省',provinceValue:'17',city:[{cityName:'南昌市',cityValue:'0'},{cityName:'景德镇市',cityValue:'1'},{cityName:'萍乡市',cityValue:'2'},
{cityName:'九江市',cityValue:'3'},{cityName:'新余市',cityValue:'4'},{cityName:'鹰潭市',cityValue:'5'},{cityName:'赣州市',cityValue:'6'},{cityName:'吉安市',cityValue:'7'},{cityName:'上饶市',cityValue:'8'},{cityName:'宜春市',cityValue:'9'},{cityName:'抚州市',cityValue:'10'}]},    
{provinceName:'山东省',provinceValue:'18',city:[{cityName:'济南市',cityValue:'0'},{cityName:'青岛市',cityValue:'1'},{cityName:'淄博市',cityValue:'2'},
{cityName:'枣庄市',cityValue:'3'},{cityName:'东营市',cityValue:'4'},{cityName:'烟台市',cityValue:'5'},{cityName:'潍坊市',cityValue:'6'},
{cityName:'济宁市',cityValue:'7'},{cityName:'泰安市',cityValue:'8'},{cityName:'威海市',cityValue:'9'},{cityName:'日照市',cityValue:'10'},
{cityName:'莱芜市',cityValue:'11'},{cityName:'临沂市',cityValue:'12'},{cityName:'德州市',cityValue:'13'},{cityName:'聊城市',cityValue:'14'},{cityName:'菏泽市',cityValue:'15'},{cityName:'滨州市',cityValue:'16'}]},
{provinceName:'广西省',provinceValue:'19',city:[{cityName:'南宁市',cityValue:'0'},{cityName:'柳州市',cityValue:'1'},{cityName:'桂林市',cityValue:'2'},
{cityName:'梧州市',cityValue:'3'},{cityName:'北海市',cityValue:'4'},{cityName:'崇左市',cityValue:'5'},{cityName:'来宾市',cityValue:'6'},{cityName:'贺州市',cityValue:'7'},{cityName:'玉林市',cityValue:'8'},{cityName:'百色市',cityValue:'9'},{cityName:'河池市',cityValue:'10'},{cityName:'防城港市',cityValue:'11'},{cityName:'钦州市',cityValue:'12'},
{cityName:'贵港市',cityValue:'13'} ]},
{provinceName:'河南省',provinceValue:'20',city:[{cityName:'郑州市',cityValue:'0'},{cityName:'开封市',cityValue:'1'},{cityName:'洛阳市',cityValue:'2'},
{cityName:'平顶山市',cityValue:'3'},{cityName:'安阳市',cityValue:'4'},{cityName:'鹤壁市',cityValue:'5'},{cityName:'信阳市',cityValue:'6'},
{cityName:'焦作市',cityValue:'7'},{cityName:'濮阳市',cityValue:'8'},{cityName:'许昌市',cityValue:'9'},{cityName:'漯河市',cityValue:'10'},
{cityName:'三门峡市',cityValue:'11'},{cityName:'南阳市',cityValue:'12'},{cityName:'商丘市',cityValue:'13'},{cityName:'新乡市',cityValue:'14'} ,{cityName:'周口市',cityValue:'15'},{cityName:'驻马店市',cityValue:'16'}]},
{provinceName:'湖北省',provinceValue:'21',city:[{cityName:'武汉市',cityValue:'0'},{cityName:'黄石市',cityValue:'1'},{cityName:'十堰市',cityValue:'2'},
{cityName:'宜昌市',cityValue:'3'},{cityName:'襄樊市',cityValue:'4'},{cityName:'鄂州市',cityValue:'5'},{cityName:'荆门市',cityValue:'6'},
{cityName:'孝感市',cityValue:'7'},{cityName:'荆州市',cityValue:'8'},{cityName:'黄冈市',cityValue:'9'},{cityName:'咸宁市',cityValue:'10'},
{cityName:'随州市',cityValue:'11'} ]},
{provinceName:'湖南省',provinceValue:'22',city:[{cityName:'长沙市',cityValue:'0'},{cityName:'株洲市',cityValue:'1'},{cityName:'湘潭市',cityValue:'2'},
{cityName:'衡阳市',cityValue:'3'},{cityName:'邵阳市',cityValue:'4'},{cityName:'岳阳市',cityValue:'5'},{cityName:'娄底市',cityValue:'6'},
{cityName:'常德市',cityValue:'7'},{cityName:'张家界市',cityValue:'8'},{cityName:'益阳市',cityValue:'9'},{cityName:'郴州市',cityValue:'10'},
{cityName:'永州市',cityValue:'11'},{cityName:'怀化市',cityValue:'12'}]},
{provinceName:'海南省',provinceValue:'23',city:[{cityName:'海口市',cityValue:'0'},{cityName:'三亚市',cityValue:'1'},{cityName:'三沙市',cityValue:'2'}]},
{provinceName:'四川省',provinceValue:'24',city:[{cityName:'成都市',cityValue:'0'},{cityName:'自贡市',cityValue:'1'},{cityName:'攀枝花市',cityValue:'2'},
{cityName:'泸州市',cityValue:'3'},{cityName:'德阳市',cityValue:'4'},{cityName:'绵阳市',cityValue:'5'},{cityName:'广元市',cityValue:'6'},
{cityName:'广安市',cityValue:'7'},{cityName:'遂宁市',cityValue:'8'},{cityName:'内江市',cityValue:'9'},{cityName:'乐山市',cityValue:'10'},
{cityName:'南充市',cityValue:'11'},{cityName:'宜宾市',cityValue:'12'},{cityName:'广安市',cityValue:'13'},{cityName:'达州市',cityValue:'14'},{cityName:'眉山市',cityValue:'15'},{cityName:'雅安市',cityValue:'16'},{cityName:'资阳市',cityValue:'17'} ]},
{provinceName:'贵州省',provinceValue:'25',city:[{cityName:'贵阳市',cityValue:'0'},{cityName:'六盘水市',cityValue:'1'},{cityName:'遵义市',cityValue:'2'},{cityName:'安顺市',cityValue:'3'} ]},
{provinceName:'云南省',provinceValue:'26',city:[{cityName:'昆明市',cityValue:'0'},{cityName:'曲靖市',cityValue:'1'},{cityName:'玉溪市',cityValue:'2'},{cityName:'保山市',cityValue:'3'},{cityName:'昭通市',cityValue:'4'},{cityName:'丽江市',cityValue:'5'},{cityName:'普洱市',cityValue:'6'},{cityName:'临沧市',cityValue:'7'}]},
{provinceName:'陕西省',provinceValue:'27',city:[{cityName:'西安市',cityValue:'0'},{cityName:'铜川市',cityValue:'1'},{cityName:'宝鸡市',cityValue:'2'},
{cityName:'咸阳市',cityValue:'3'},{cityName:'渭南市',cityValue:'4'},{cityName:'延安市',cityValue:'5'},{cityName:'汉中市',cityValue:'6'},
{cityName:'榆林市',cityValue:'7'},{cityName:'安康市',cityValue:'8'},{cityName:'商洛市',cityValue:'9'} ]},

{provinceName:'甘肃省',provinceValue:'28',city:[{cityName:'兰州市',cityValue:'0'},{cityName:'嘉峪关市',cityValue:'1'},{cityName:'金昌市',cityValue:'2'},
{cityName:'白银市',cityValue:'3'},{cityName:'天水市',cityValue:'4'},{cityName:'平凉市',cityValue:'5'},{cityName:'酒泉市',cityValue:'6'},{cityName:'武威市',cityValue:'7'},{cityName:'张掖市',cityValue:'8'},{cityName:'庆阳市',cityValue:'9'},{cityName:'定西市',cityValue:'10'},{cityName:'陇南市',cityValue:'11'} ]},  
  
{provinceName:'青海省',provinceValue:'29',city:[{cityName:'西宁市',cityValue:'0'} ]},  
{provinceName:'宁夏',provinceValue:'30',city:[{cityName:'银川市',cityValue:'0'},{cityName:'石嘴山市',cityValue:'1'},{cityName:'吴忠市',cityValue:'2'},{cityName:'固原市',cityValue:'3'},{cityName:'中卫市',cityValue:'4'} ]},  
 
{provinceName:'新疆',provinceValue:'31',city:[{cityName:'乌鲁木齐市',cityValue:'0'},{cityName:'克拉玛依市',cityValue:'1'} ]},

{provinceName:'西藏',provinceValue:'32',city:[{cityName:'拉萨市',cityValue:'0'} ]},  
 
{provinceName:'台湾省',provinceValue:'33',city:[{cityName:'台北市',cityValue:'0'},{cityName:'高雄市',cityValue:'1'},{cityName:'台南市',cityValue:'2'},
{cityName:'基隆市',cityValue:'3'},{cityName:'新竹市',cityValue:'4'},{cityName:'嘉义市',cityValue:'5'},{cityName:'台中市',cityValue:'6'}]},  

 {provinceName:'钓鱼岛',provinceValue:'34',city:[{cityName:'钓鱼岛',cityValue:'0'}]}];

}

var globalArea = new GlobalArea();

