/**检测元素值是否符合类型*/

/**
 *检查手机号码合法性
 * @param String phoneNum 手机号码
 */
function checkPhoneNum(phoneNum){
	if(phoneNum&&/^((13[0-9]{9})|(147[0-9]{8})|(15[0-9]{9})|(17[0-9]{9})|(18[0-9]{9}))$/.test(phoneNum)){
		return true;
	}
	return false;
}

/**
 * 检查固定电话合法性
 * @param {Object} phoneNum 固定电话
 */
function checkTelphone(phoneNum){
	if(phoneNum&&/^([0-9]{3}-?[0-9]{8})|([0-9]{4}-?[0-9]{7})$/.test(phoneNum)){
		return true;
	}
	return false;
}

/**
 * 检查身份证号合法性
 * @param {Object} idNo 身份证号码
 */
function checkIdNo(idNo){
//	if(idNo&&/^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/.test(idNo)){
//		return true;
//	}
	if(idNo){
		var chkIdNoObj=new chkIdNo(idNo);
		if(chkIdNoObj.IsValid()){
			return true;
		}
	}
	return false;
}
/**
 * 检查邮箱合法性
 * @param {Object} idNo 身份证号码
 */
function checkEmail(email){
	if(email&&/^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/  .test(email)){
		return true;
	}
	return false;
}