/**查询方法需更新，当前最大的分页号*/
var pageNo=1;
/**查询方法需更新，当前分页的记录数是否已满*/
var isPageFull=true;
/**分页的记录数*/
var pageLen=10;


var tab = 3; // 3:运动 2：美食 1：常识

// 常识
var knowPageNo=1;
var isKnowPageFull=true;
var knowPageLen=10;

// 食谱
var foodPageNo=1;
var isFoodPageFull=true;
var foodPageLen=10;

// 运动
var sportPageNo=1;
var isSportPageFull=true;
var sportPageLen=10;


function turnPage(){
	tipLoading("正在加载…");
	if(tab == 1) {
		pageNo = knowPageNo;
		isPageFull = isKnowPageFull;
		pageLen = knowPageLen;
	} else if(tab == 2) {
		pageNo = foodPageNo;
		isPageFull = isFoodPageFull;
		pageLen = foodPageLen;
	} else if(tab == 3) {
		pageNo = sportPageNo;
		isPageFull = isSportPageFull;
		pageLen = sportPageLen;
	}
	
	
	if (isPageFull) {
		listArticle(pageNo + 1, pageLen,tab);
	}else{
		listArticle(pageNo, pageLen,tab);
	}
	
}


function changeArtTab(stab) {
	$j(".recom-article").addClass("uhide");
	if(stab == 3) {
		$j("#sport_article").removeClass("uhide");
	} else if(stab == 2) {
		$j("#food_article").removeClass("uhide");
	} else if(stab == 1) {
		$j("#know_article").removeClass("uhide");
	}
	
	tab = stab;
	
}


function initArticle() {
	listArticle(knowPageNo,knowPageLen,1)
	listArticle(foodPageNo,foodPageLen,2)
	listArticle(sportPageNo,sportPageLen,3)
}

function listArticle(currentPage,pageSize,typeId){
	var cSugarLvl = suijianData.cSugarSimLevel || "-1";
	var cPressLvl = suijianData.cPresSimLevel || "-1";
	var cWhLvl = suijianData.cWeightSimLevel || "-1";
	var cHeartLvl = suijianData.cHeartSimLevel || "-1";
	
		if(!currentPage || currentPage<1||  !pageSize || currentPage<1){
			return ;
		 }
			var url = global.SERVER_URL + "/yisuibao/recom/recom/listRecom.do?actionType=act";
			var cUserId = getSuijianUserId();
			var arrData=null;
		    var param = [
				{'key': 'ajax','type': '0','value': 'mobile'},
				{'key': 'currentPage','type': '0','value': currentPage },
				{'key': 'pageSize','type': '0','value': pageSize}, 
				{'key':'filterType','type':'0','value':'EQ,EQ,EQ,EQ,EQ,EQ'},
				{'key':'filterTxt','type':'0','value':'cUserId,cSugarLvl,cPressLvl,cWhLvl,cHeartLvl,cType'},
				{'key':'filterBind','type':'0','value':'cUserId,cSugarLvl,cPressLvl,cWhLvl,cHeartLvl,cType'},
				{'key':'filterValue','type':'0','value':cUserId + "," + cSugarLvl + "," + cPressLvl + "," + cWhLvl + "," + cHeartLvl + "," + typeId},
				 {'key': 'cType','type': '0','value': typeId},
				 {'key': 'sortname','type': '0','value': 'tCrtTm'}			
			];
			
			
			$.getJSON(url, function(data){
				dealResult(data, function(data, result){
		            arrData = data.rows;
					closeTip();
		            if(!arrData || arrData.length==0){
						if (currentPage == 1) {
							switch (typeId) {
								case 1:
									appendListEmptyInfo('know_article_list', "没有推荐文章");
									break;
								case 2:
									appendListEmptyInfo('food_article_list', "没有推荐文章");
									break;
								case 3:
									appendListEmptyInfo('sport_article_list', "没有推荐文章");
									break;
							}
						}
						return;
					}
					
                    switch (typeId) {
                        case 1:
                            buildKnowList(arrData, currentPage);
                            break;
                        case 2:
						 	buildFoodList(arrData, currentPage);
                            break;
                        case 3:
							buildSportList(arrData, currentPage);
                            break;
                    }
					
				
		        }, function(data, result){
		            tip(data.userData.resultMsg);
					closeTip();
		            return;
		        });
		    }, "json", getJSONError, "POST", param, false);           
}

function buildKnowList(arrData,currentPage){
	var div = buildDiv(arrData);
	if(!isPageFull && pageNo==currentPage){
		removeLastChild('know_article_list');
	}
    $$('know_article_list').appendChild(div);
	
	//更新当前最大页号和是否页满标识
	if(arrData.length<pageLen){
		isKnowPageFull=false;
	}else{
		isKnowPageFull=true;
	}
	knowPageNo=currentPage;
}

function buildFoodList(arrData,currentPage){
	var div = buildDiv(arrData);
	if(!isPageFull && pageNo==currentPage){
		removeLastChild('food_article_list');
	}
    $$('food_article_list').appendChild(div);
	
	//更新当前最大页号和是否页满标识
	if(arrData.length<pageLen){
		isFoodPageFull=false;
	}else{
		isFoodPageFull=true;
	}
	foodPageNo=currentPage;
}
	
	
function buildSportList(arrData,currentPage){
	var div = buildDiv(arrData);
	if(!isPageFull && pageNo==currentPage){
		removeLastChild('sport_article_list');
	}
    $$('sport_article_list').appendChild(div);
	
	//更新当前最大页号和是否页满标识
	if(arrData.length<pageLen){
		isSportPageFull=false;
	}else{
		isSportPageFull=true;
	}
	sportPageNo=currentPage;
}
	
		
function buildDiv(arrData) {
	    var tmpl =   '<ul ontouchstart="zy_touch(\'btn-act\')" class="ubb ub b-gra-dc" onclick="showDetail(\'${cPkId}\',\'${nPv}\')">'+
					 '	<li class="ub-f1">'+
					 '		<div class="ub ub-ver uinn-app-art" style="">'+
					 '			<div class="ub-f1 ulev-1">${cTitle} </div>'+
					 '			<div class="ub-f1 ulev-2">${cTitle}</div>'+
					 '			<div class="ub-f1 ulev-2 t-gra"> ${cb:time} 阅读${nPv}</div>'+
					 '		</div>'+
					 '	</li>'+
					 '	<li><div class="ub-f1 ub-img uwh-icon3 umar-app-art"  style="background-image:url(${cb:image});"></div></li>'+
					 '	</ul>';
            var s = zy_tmpl(tmpl, arrData, zy_tmpl_count(arrData),tempCb);
            var d = document.createElement('DIV');
            d.innerHTML = s;
			
			return d;
}

function showDetail(id,count){
				setLocVal('pedia_article_id',id);
				setLocVal('pedia_backPage','pedia-pedia_list');
				openWin('../pedia/pedia_detail','','',true);
		}
		
		
function tempCb(a,b){
	var type = b[1];
	switch(type){
		case 'image':
			return tool.getFwkShowImgPath(a.cPic,true, 'limited', document.body.clientWidth);
		case 'time':
			var day = (new Date().getTime() - timeUtil.str2Date(a.tCrtTm).getTime())/(3600*1000*24);
			if(day > 1){
				return parseInt(day) +'天前';
			}if(day > 0 && day < 1){
				return parseInt(day*24) +'小时前';
			}
				return '刚刚';	
	}
}